LibreOffice: LineProperties Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Attributes | List of all members
LineProperties Service Referencepublished

This is a set of properties to describe the style for rendering a Line. More...

`import"LineProperties.idl";`

Inheritance diagram for LineProperties:

## Public Attributes
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line. More...
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line. More...
string | LineDashName
| This property contains the name of the dash of the line. More...
com::sun::star::util::Color | LineColor
| This property contains the line color. More...
short | LineTransparence
| This property contains the extent of transparency. More...
long | LineWidth
| This property contains the width of the line in 1/100th mm. More...
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines. More...
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines. More...
string | LineStartName
| This property contains the name of the line start poly polygon Bezier. More...
string | LineEndName
| This property contains the name of the line end poly polygon Bezier. More...
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier. More...
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier. More...
boolean | LineStartCenter
| If this property is `TRUE`, the line will start from the center of the polygon. More...
long | LineStartWidth
| This property contains the width of the line start polygon. More...
boolean | LineEndCenter
| If this property is `TRUE`, the line will end in the center of the polygon. More...
long | LineEndWidth
| This property contains the width of the line end polygon. More...

## Detailed Description

This is a set of properties to describe the style for rendering a Line.

The properties for line ends and line starts are only supported by shapes with open line ends.

Developers Guide
  Drawings - General Drawing Properties

## Member Data Documentation

## ◆ LineCap

com::sun::star::drawing::LineCap LineCap
| optionalproperty

This property defines the rendering of ends of thick lines.

## ◆ LineColor

com::sun::star::util::Color LineColor
| property

This property contains the line color.

## ◆ LineDash

com::sun::star::drawing::LineDash LineDash
| property

This property contains the dash of the line.

## ◆ LineDashName

string LineDashName
| optionalproperty

This property contains the name of the dash of the line.

## ◆ LineEnd

com::sun::star::drawing::PolyPolygonBezierCoords LineEnd
| optionalproperty

This property contains the line end in the form of a poly polygon Bezier.

## ◆ LineEndCenter

boolean LineEndCenter
| optionalproperty

If this property is `TRUE`, the line will end in the center of the polygon.

## ◆ LineEndName

string LineEndName
| optionalproperty

This property contains the name of the line end poly polygon Bezier.

If this string is empty, no line end polygon is rendered.

## ◆ LineEndWidth

long LineEndWidth
| optionalproperty

This property contains the width of the line end polygon.

## ◆ LineJoint

com::sun::star::drawing::LineJoint LineJoint
| property

This property defines the rendering of joints between thick lines.

## ◆ LineStart

com::sun::star::drawing::PolyPolygonBezierCoords LineStart
| optionalproperty

This property contains the line start in the form of a poly polygon Bezier.

## ◆ LineStartCenter

boolean LineStartCenter
| optionalproperty

If this property is `TRUE`, the line will start from the center of the polygon.

## ◆ LineStartName

string LineStartName
| optionalproperty

This property contains the name of the line start poly polygon Bezier.

If this string is empty, no line start polygon is rendered.

## ◆ LineStartWidth

long LineStartWidth
| optionalproperty

This property contains the width of the line start polygon.

## ◆ LineStyle

com::sun::star::drawing::LineStyle LineStyle
| property

This property contains the type of the line.

## ◆ LineTransparence

short LineTransparence
| property

This property contains the extent of transparency.

## ◆ LineWidth

long LineWidth
| property

This property contains the width of the line in 1/100th mm.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/LineProperties.idl